summaryrefslogtreecommitdiffstats
path: root/audio/lv2core
diff options
context:
space:
mode:
author Heinz Wiesinger2010-05-11 22:53:10 +0200
committer Erik Hanson2010-05-11 22:53:10 +0200
commit905db6d99a1e20b66a02efcb30006d6ab326d51d (patch)
tree5172e43cfcbd2f79535308abb1aaa22bb900a09c /audio/lv2core
parent3f2fb7a43bb100f04c8dd28effd3e9a6f059038a (diff)
downloadslackbuilds-905db6d99a1e20b66a02efcb30006d6ab326d51d.tar.gz
audio/lv2core: Added to 12.1 repository
Diffstat (limited to 'audio/lv2core')
-rw-r--r--audio/lv2core/README4
-rw-r--r--audio/lv2core/lv2core.SlackBuild66
-rw-r--r--audio/lv2core/lv2core.info8
-rw-r--r--audio/lv2core/slack-desc19
4 files changed, 97 insertions, 0 deletions
diff --git a/audio/lv2core/README b/audio/lv2core/README
new file mode 100644
index 0000000000..916651fe65
--- /dev/null
+++ b/audio/lv2core/README
@@ -0,0 +1,4 @@
+LV2 is a standard for plugins and matching host applications,
+primarily targeted at audio processing and generation.
+LV2 is a successor to LADSPA, created to address the limitations
+of LADSPA which many applications have outgrown. \ No newline at end of file
diff --git a/audio/lv2core/lv2core.SlackBuild b/audio/lv2core/lv2core.SlackBuild
new file mode 100644
index 0000000000..986a6a4ded
--- /dev/null
+++ b/audio/lv2core/lv2core.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for lv2core
+
+# Copyright 2008 Heinz Wiesinger <pprkut@liwjatan.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lv2core
+VERSION=${VERSION:-3.0}
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./waf configure \
+ --prefix=/usr
+
+./waf build
+./waf install --destdir=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/lv2core/lv2core.info b/audio/lv2core/lv2core.info
new file mode 100644
index 0000000000..59cdf14f15
--- /dev/null
+++ b/audio/lv2core/lv2core.info
@@ -0,0 +1,8 @@
+PRGNAM="lv2core"
+VERSION="3.0"
+HOMEPAGE="http://lv2plug.in/"
+DOWNLOAD="http://lv2plug.in/spec/lv2core-3.0.tar.bz2"
+MD5SUM="382f7d96ff0374c0c495336e1c8bb999"
+MAINTAINER="ppr:kut"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="Erik Hanson"
diff --git a/audio/lv2core/slack-desc b/audio/lv2core/slack-desc
new file mode 100644
index 0000000000..a61d9db46e
--- /dev/null
+++ b/audio/lv2core/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+lv2core: lv2core (LADSPA Version 2)
+lv2core:
+lv2core: LV2 is a standard for plugins and matching host applications,
+lv2core: primarily targeted at audio processing and generation.
+lv2core: LV2 is a successor to LADSPA, created to address the limitations
+lv2core: of LADSPA which many applications have outgrown.
+lv2core:
+lv2core: Homepage: http://lv2plug.in
+lv2core:
+lv2core:
+lv2core: